Bug 1019524 - Dell latitude 6430s cannot detect second external monitor after yum update
Dell latitude 6430s cannot detect second external monitor after yum update
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 19:59 EDT by Hector Lopez
Modified: 2014-01-09 21:43 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 21:43:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hector Lopez 2013-10-15 19:59:31 EDT
Description of problem: Dell E6430s not able to use two external monitors after yum update.


Version-Release number of selected component (if applicable):
3.10.11-200.fc19 - working
3.11.1-200.fc19 - not working
3.11.4-201.fc19 - not working

How reproducible:
Boot to kernel version 3.10.11-200.fc19, two external monitors will work. Reboot to any of the newer kernels, only one external monitor will work. An error will be displayed during start up (something like 'CRT 65' error)

Steps to Reproduce:
1. Set up two external monitors under 3.10.11-200.fc19 
2. Yum update to any newer kernel version (3.11.1-200.fc19 or 3.11.4-201.fc19)
3. Boot to the new kernel version.

Actual results:
Error detecting more than one external monitor

Expected results:
Should detect two external monitors

Additional info:
Laptop model: Dell Latitude E6430s
Processor: Intel(R) Core(TM) i7-3520M CPU @ 2.90GHz
GPU: Intel HD4000
RAM: 8GiB
Docking Station Model: Dell Pro2X 
Im using Cinnamon DM but it was the same case with Gnome before I installed Cinnamon.
Comment 1 Justin M. Forbes 2014-01-03 17:08:17 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 2 Michele Baldessari 2014-01-04 08:57:03 EST
Hi Hector,

besides testing with 3.12.6 can you also upload output of "lspci -nvvv", "dmidecode" and also upload /var/log/messages and /var/log/Xorg.0.log?

Thanks,
Michele
Comment 3 Hector Lopez 2014-01-09 21:43:19 EST
Thanks Michelle, and others, for taking time to look into this issue. Unfortunately, I cannot provide further info as my Dell Unit has been stolen (too bad!). I am using a different Unit now running on Fedora 20. Again, thanks a lot for your efforts! :-)

Note You need to log in before you can comment on or make changes to this bug.